# Get Endpoint - GetTriggers
Returns list of all triggers.
# HTTP Request
One of the following requests should be made:
GET /odata/trigger
GET /odata/trigger/$count
The endpoint supports the following OData query parameters: $select, $expand
# Query parameters
| Name | Description |
|---|---|
| repository | optional. Destination repository key. |
# Request headers
| Name | Description |
|---|---|
| Authorization | required. Bearer {token}. See authorization |
# Responses
| Code | Description | Type |
|---|---|---|
200 | If the load of triggers was successful. | array TriggerEntity |
500 | When an server error occurs during the load of triggers. |
# Example
# Request
The following is an example of how to call the endpoint:
GET /odata/trigger?repository=repo1
# Response
The following example shows the response:
Information
The response object is truncated for clarity. Default properties will be returned from the call.
{
"value": [
{
"triggerId": 123,
"isActive": false
},
{
"triggerId": 125,
"isActive": true
}
],
"@odata.nextLink": "..."
}